{% extends "base/base.html" %}
{% load static %}

{% block content %}
<script src="{% static 'barang.js' %}"></script>

<div class="wrapper" style="min-height: 100vh;">
    
    <div class="row">
        <div class="col-md-7">
            <div class="login d-flex align-items-center py-5">
                <div class="container">
                        <div class="mx-5">
                            <h1 class="judul">Pand<span class="judul2">enemy</span></h1>
                            <br>
                            <p class="text-justify" style="font-size: 15px; line-height: 1.8;">
                                Pandemi Covid-19 saat ini sudah menjamur dimana-mana.
                                Penanganan yang sulit membuat semakin banyak daerah menjadi kerepotan untuk menanggulangi
                                masalah ini. Banyak dampak yang ditimbulkan dari pandemi ini, 
                                tidak lain seperti perekonomian, kesehatan, bahkan studi. Sebagai mahasiswa, proses 
                                pembelajaran jarak jauh menjadi sebuah tantangan juga hambatan. Untuk itu, pandemi ini 
                                adalah enemy (musuh) yang harus kita siasati bersama. Melalui website ini kami mencoba untuk 
                                membantu Anda untuk dapat melewati masa sulit ini dengan beberapa fitur yang memanjakan. 
                                Selamat mencoba! 
                            </p>
                        </div>
                </div>
            </div>
        </div>
        <div class="col-md-5 d-none d-md-flex">
            <section class="section">
                <img src="{% static 'images/bgbase.svg' %}" class="index-bg"/>
            </section>
        </div>
    </div>
</div>

<div class="containter-fluid wrapper" style="min-height: 100vh;">
    <div class="col-md-12 pt-2" style="text-align: right; padding-right:30%">
        <h1 class="judul">Kabar<span class="judul2">?</span></h1>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="login d-flex align-items-center py-5">
                <div class="mx-5">
                    <p class="text-justify">
                        Jumlah pasien/kasus aktif Covid-19 di Depok kini mencapai 1.413 orang hingga data diperbarui kemarin, Senin (19/10/2020). 
                        Angka ini jauh di atas puncak gelombang pertama pada Mei 2020 lalu, dengan 383 kasus aktif. Dari data yang sama diketahui, 
                        pasien Covid-19 di Depok saat ini paling banyak merupakan warga Kecamatan Pancoran Mas (188 kasus) dan Beji (180 kasus). 
                        Penambahan kasus aktif terbanyak sepekan ini ada di Kecamatan Limo (44 kasus).
                    </p>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-xs-1 text-center" >
            <section class="no-touch col-xs-1 text-cente gambar" >
                <div class="box">
                    <div class="boxInner">
                        <img src="{% static 'images/beritalimo.jpg' %}" />
                        <div class="titleBox">Kecamatan Limo Catat Tambahan Pasien Covid Terbesar</div>
                    </div>
                </div>
            </section>
        </div>
    </div>
</div>


<div id="fitur" class="col-md-12 pt-2" style="text-align: center">
    <h1 class="judul">Layanan<span class="judul2">.</span></h1>
</div>

<div class="col-md-12">
    <div class="row">
        <div class="col-md-2"></div>
        <div class="col-md-4 col-sm-12 d-flex align-items-center justify-content-center text-center">
            <a href="{% url 'semangatpage:semangat' %}" style="color: black;">
                <div class="card mb-3 animasi-card" style="max-width: 350px;margin:40px">
                    <div class="row no-gutters">
                        <div class="col-md-4">
                        <img src="{% static 'images/berisemangat.png' %}" class="card-img" alt="..." style="padding: 5%;">
                        </div>
                        <div class="col-md-8">
                        <div class="card-body" style="padding:0.25rem">
                            <p class="card-title">Beri Semangat</p>
                        </div>
                        </div>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-md-4 col-sm-12 d-flex align-items-center justify-content-center text-center">
            <a style="color: black;" href="">
                <div class="card mb-3 animasi-card" style="max-width: 350px;margin:40px">
                    <div class="row no-gutters">
                        <div class="col-md-4">
                        <img src="{% static 'images/aturjadwal.jpg' %}" class="card-img" alt="..." style="padding: 5%;">
                        </div>
                        <div class="col-md-8">
                        <div class="card-body" style="padding:0.25rem">
                            <p class="card-title">Atur Jadwal</p>
                        </div>
                        </div>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-md-2"></div>
    </div>
</div>

<div class="col-md-12">
    <div class="row">
        <div class="col-md-2"></div>
        <div class="col-md-4 col-sm-12 d-flex align-items-center justify-content-center text-center">
            <a style="color: black;" href="{% url 'feedback:index' %}">
                <div class="card mb-3 animasi-card" style="max-width: 350px;margin:40px">
                    <div class="row no-gutters">
                        <div class="col-md-4">
                        <img src="{% static 'images/feedback.png' %}" class="card-img" alt="..." style="padding: 5%;">
                        </div>
                        <div class="col-md-8">
                        <div class="card-body" style="padding:0.25rem">
                            <p class="card-title">Feedback</p>
                        </div>
                        </div>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-md-4 col-sm-12 d-flex align-items-center justify-content-center text-center" ">
            <a style="color: black;" href="/postingan/">
                <div class="card mb-3 animasi-card" style="max-width: 350px;margin:40px;">
                    <div class="row no-gutters">
                        <div class="col-md-4">
                        <img src="{% static 'images/postingmomen.png' %}" class="card-img" alt="..." style="padding: 5%;">
                        </div>
                        <div class="col-md-8">
                        <div class="card-body" style="padding:0.25rem">
                            <p class="card-title">Posting Momen</p>
                        </div>
                        </div>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-md-2"></div>
    </div>
</div>

<div class="hindari" style="margin-top:100px">
    <div class="container" style="min-height: 100vh;">
        <div class="row">
            <div class="col-md-12 pt-5" style="text-align: center;">
                <h1 class="judul3">Hindari<span class="judul2">!</span></h1>
            </div>
            <div class="col-md-12">
                <div class="main-timeline"  style="margin-top: 60px;">
                    <div class="timeline"style="margin-top: 5%;">
                        <span class="icon"><i>1</i></span>
                        <div class="timeline-content">
                            <div class="content-inner">
                                <h3 class="title">Bertemu dengan orang banyak</h3>
                            </div>
                        </div>
                    </div>
                    <div class="timeline" style="margin-top: 10%;">
                        <span class="icon"><i>2</i></span>
                        <div class="timeline-content">
                            <div class="content-inner">
                                <h3 class="title">Tidak memakai masker saat keluar rumah</h3>
                            </div>
                        </div>
                    </div>
                    <div class="timeline"  style="margin-top: 2%;">
                        <span class="icon"><i>3</i></span>
                        <div class="timeline-content">
                            <div class="content-inner">
                                <h3 class="title">Tidak mencuci tangan dengan rutin setiap melakukan aktivitas
                                </h3>
                            </div>
                        </div>
                    </div>
                    <div class="timeline" style="margin-top: 8%;">
                        <span class="icon"><i>4</i></span>
                        <div class="timeline-content">
                            <div class="content-inner">
                                <h3 class="title">Berpergian tanpa tujuan yang penting</h3>
                            </div>
                        </div>
                    </div>
                    <div class="timeline"  style="margin-top: 2%; margin-bottom:75px">
                        <span class="icon"><i>5</i></span>
                        <div class="timeline-content">
                            <div class="content-inner">
                                <h3 class="title">Istirahat yang tidak teratur
                                </h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="containter-fluid " style="min-height: 140vh;">
    <div class="col-md-12 pt-2" style="text-align: center; margin-top:50px">
        <h1 class="judul">Stock<span class="judul2">.</span></h1>
        <p>Pengingat stock dari barang penting saat pandemi yang kamu punya!</p>
    </div>
    <div class="row pt-5" style="margin-bottom: 40px;" >
        <!-- <div> -->
        {% if request.user.is_authenticated %}
        {% for x in barang %}

        <!-- Membuat row sesuai jumlah barang -->
            <div class="col-md-4  pb-5 text-center pooling" >
                <p>{{ x.barang }}</p>
                    {% if x.barang == "Masker" %}
                    <img class="barangbg" src="{% static 'images/masker.png' %}" style="width:250px; height: 230px;">
                    {% elif x.barang == "Sanitizer" %}
                    <img class="barangbg" src="{% static 'images/sinitizer.png' %}" style="width:250px; height: 230px;">
                    {% elif x.barang == "Face Shield" %}
                    <img class="barangbg" src="{% static 'images/faceshield.png' %}" style="width:250px; height: 230px;">
                    {% endif %}

                    <div id="stok">
                        <p  style="display: inline;" id="stok-barang">{{ x.stok }}</p>
                        <p  style="display: inline;"> tersedia</p>
                    </div>
                        
                    <br>
                    <div id="{{x.barang}}" class="row align-items-center justify-content-center">
                        <form  class="kurang" action="{% url 'base:reduce' %}" method="post">
                            {% csrf_token %}
                            <input type="submit" value="Kurang" class="btn btn-danger " role="button" style="margin-right: 20px;"></input>
                            
                        </form>
                        
                        <form  class="tambah" action="{% url 'base:add' %}" method="post">
                            {% csrf_token %}
                            <input type="submit" value="Tambah" class="btn btn-success" role="button"></input>
                            
                        </form>
                    </div>

            </div>


        {%  if forloop.counter|divisibleby:3 or forloop.last %}
            </div><!-- row closing --><hr>
        {%  endif %}
        {% endfor %}

        <!-- kalau user belum login -->
        {% else %}
        
        <div class="col-md-4  pb-5 text-center" >
            <p>Masker</p>
            <img src="{% static 'images/masker.png' %}" style="width:250px; height: 230px;">
            <br>
            <a href="{% url 'base:login' %}">
                <button class="btn btn-secondary" role="button" style="margin-top:20px">Login</button>
            </a>
        </div>
        <div class="col-md-4  pb-5 text-center" >
            <p>Sanitizer</p>
            <img src="{% static 'images/sinitizer.png' %}" style="width:250px; height: 230px;">
            <br>
            <a href="{% url 'base:login' %}">
                <button class="btn btn-secondary" role="button" style="margin-top:20px">Login</button>
            </a>
        </div>
        <div class="col-md-4  pb-5 text-center" >
            <p>Face Shield</p>
            <img src="{% static 'images/faceshield.png' %}" style="width:250px; height: 230px;">
            <br>
            <a href="{% url 'base:login' %}">
                <button class="btn btn-secondary" role="button" style="margin-top:20px">Login</button>
            </a>
            
        </div>
        {% endif %}
        </div>
        </div>
        
 
    </div>
    
    <div class="footer">
        <div id="button" style="margin-top: 10px;"></div>
            <div id="container" style="max-height: 20vh;">
            <div id="cont">
            <div class="footer_center">
                <h3>Hotline<span style="padding-left: 20px;padding-right: 8px;"><img src="{% static 'images/phone.svg' %}" style="width: 25px;"/></span>  119</h3>
            </div>
            </div>
        </div>
    <!-- </div> -->
</div>





{% endblock content %}

